--- title: "Confirm funds availability" description: "Learn how to consume our dedicated PIISP endpoints." url: "https://docs.adyen.com/business-accounts/piisp" source_url: "https://docs.adyen.com/business-accounts/piisp.md" canonical: "https://docs.adyen.com/business-accounts/piisp" last_modified: "2026-05-26T13:48:55+02:00" language: "en" --- # Confirm funds availability Learn how to consume our dedicated PIISP endpoints. [View source](/business-accounts/piisp.md) As part of the open banking framework for Payment Initiation Service Providers (PIISPs), Adyen provides an endpoint to confirm available funds on behalf of account holders who have given their consent. This page explains how you, as a third-party PIISP, use the `/funds-confirmations` endpoint to: * [Confirm funds](#confirm-funds) ## Requirements | Requirement | Description | | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | **Integration type** | Not applicable; this documentation is intended for third-party providers. | | **Setup steps** | Before you begin, you must:- Complete the [Adyen onboarding steps](/business-accounts/open-banking#onboard-with-adyen). - Have your [access token](/business-accounts/oauth-flow#get-an-access-token) for the Adyen business account. | ## Confirm funds To ensure that the account holder has sufficient funds to cover the payment amount: 1. Make a POST `/funds-confirmations` request with the following parameters in the request body. The request header includes, for example, an IPv4 address like 82.199.87.148, or an IPv6 address like 2001:db8:1:1:1:1:1:1. | Parameter | Required | Description | | ------------------ | ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ | | `instructedAmount` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The currency and the amount of the payment. | | `account` | ![-white\_check\_mark-](/user/data/smileys/emoji/white_check_mark.png "-white_check_mark-") | The account number for which the funds availability needs to be checked. | The following request checks if the IBAN has **EUR 10.50** available. **Confirm available funds** ```bash curl 'https://openbanking-psd2-test.adyen.com/obeu/piis/v1/funds-confirmations' \ --header 'X-Request-ID: {your-request-id}' \ --header 'IPv4: 82.199.87.148' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {access_token}' \ --data '{ "instructedAmount": { "currency": "EUR", "amount": "10.50" }, "account": { "iban": "NL91ABNA0417164300" } }' ``` 2. The response contains `fundsAvailable` that indicates whether the instructed amount is available. A value of `false` indicates insufficient funds for the specified amount. **Response** ```json { "fundsAvailable": true } ``` ## See also * [Get account holder information](/business-accounts/aisp) * [Initiate payments](/business-accounts/pisp)